Announcement

Collapse
No announcement yet.

Building Xorg stack for radeonsi

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Building Xorg stack for radeonsi

    Hello,
    is there a recipe somewhere on how to pull, build and install the latest and greatest radeonsi stack? I've been futzing around with it for days and I always seem to run into dead ends.
    Drivers built according to http://www.x.org/wiki/radeonBuildHowTo did not play with my X server on Debian wheezy. Same thing with a server built by the script at http://www.x.org/wiki/Development/BuildingX. Now I'm trying to build a complete server with util/modular/build.sh but haven't gotten it to work yet.

    Help!

    Thanks,
    Ralf-Peter

  • #2
    It is my understanding that the mesa radeonsi driver is separate from r600 and it's called literally "radeonsi".

    So for mesa you would use something like that for intel + radeonsi. swrast is good to have there because the build system seems to sometimes depend on it. If you don't want the intel driver, you can still keep --with-dri-drivers= and just let a space after because otherwise it will use some defaults.
    Code:
       ./autogen.sh --prefix=/usr \
       --with-dri-driverdir=/usr/lib/xorg/modules/dri \
       --with-gallium-drivers=radeonsi,swrast \
       --with-dri-drivers=i965 \
       --with-egl-platforms=x11,drm \
       --enable-texture-float \
       --enable-gles1 \
       --enable-gles2 \
       --enable-egl \
       --enable-xa \
       --enable-vdpau \
       --enable-gallium-g3dvl \
       --enable-glx-tls \
       --enable-glu \
       --enable-gbm \
       --enable-gallium-gbm \
       --enable-shared-glapi \
       --enable-gallium-llvm \
       --enable-openvg \
       --enable-gallium-egl \
       --enable-osmesa \
       --enable-xorg \
       --enable-r600-llvm-compiler
    And xf86-video-ati needs to be built with glamor, so install glamor first and then compile xf86-video-ati with
    Code:
    --enable-glamor
    (and perhaps use --disable-exa, I think it will not be used at all with radeonsi). Glamor does not work with X.org 1.13 and later yet as far as I know.

    I think this are the only things you need to modify besides having the latest libdrm and xf86-video-ati and glamor git versions.
    Last edited by ChrisXY; 12-30-2012, 10:05 AM.

    Comment


    • #3
      I tried things like that but the resulting drivers won't work with the xorg stack in Debian due to an ABI version mismatch so I want to rebuild the whole X server.

      Comment

      Working...
      X